# 4get

>  A meta search engine that doesn't suck 

<!-- metadata -->

* **Category**: Apps
* **Status**: 1, wip
* **Image**: [`4get`](https://hub.docker.com/r/4get), 4, upstream
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: No
* **Tests**: No
* **SSO**: No

<!-- endmetadata -->

## Quick start

* `abra app new 4get`
* `abra app config <app-name>`
* `abra app deploy <app-name>`

### Custom banners

* `abra app cp <app-domain> /local/path/to/banners app:/var/www/html/4get/banner/`

## Captcha

4get does not support corporate captcha providers (ie. reCaptcha, hCaptcha, etc.) instead it employs a very simple image captcha based on user provided images. Images must be png, 100x100 in size, and named in order (ie. 1.png, 2.png, 3.png, etc.)

Images are segmented into datasets which are directories with a name of the person, place, or thing that are the subject of the images. Provide 4get only with images that match the name of your dataset. go to `https://4get.ca/web?s=test` for an examples

Image datasets are then defined in your app's config as `CAPTCHA_DATASET` (ex: `['birds', 2263],['fumo_plushies', 1006],['minecraft', 848]`)

example directory structure:

```
captcha/
  birds/
    1.png
    2.png
    3.png
  anime/
    1.png
    2.png
```

* uncomment `#COMPOSE_FILE="$COMPOSE_FILE:compose.captcha.yml"`
* undeploy and redeploy 4get
* `abra app run <app-domain> app mkdir -p /var/www/html/4get/data/captcha/<dataset-name>`
* `abra app cp <app-domain> /local/path/to/captcha_images/* app:/var/www/html/4get/data/captcha/<dataset-name>`

For more, see [`docs.coopcloud.tech`](https://docs.coopcloud.tech).